#
# spec file for package python-jupyter_nbextensions_configurator
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# geckodriver not available
%bcond_with tests

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-jupyter_nbextensions_configurator
Version:        0.4.0
Release:        3.1
Summary:        Configuration interfaces for nbextensions
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/jupyter-contrib/jupyter_nbextensions_configurator
Source:         https://files.pythonhosted.org/packages/source/j/jupyter_nbextensions_configurator/jupyter_nbextensions_configurator-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with tests}
BuildRequires:  %{python_module PyYAML}
BuildRequires:  %{python_module jupyter_contrib_core >= 0.3.3}
BuildRequires:  %{python_module jupyter_core}
BuildRequires:  %{python_module jupyter_notebook >= 4.0}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module selenium}
BuildRequires:  %{python_module tornado}
BuildRequires:  geckodriver
BuildRequires:  python-mock
%endif
Requires:       python-PyYAML
Requires:       python-jupyter_contrib_core >= 0.3.3
Requires:       python-jupyter_core
Requires:       python-jupyter_notebook >= 4.0
Requires:       python-tornado
Requires:       python-traitlets
%ifpython2
Requires:       python3-jupyter_nbextensions_configurator
%endif
%ifpython3
Requires(post):   python3-PyYAML
Requires(preun):  python3-PyYAML
Requires(post):   python3-jupyter_contrib_core >= 0.3.3
Requires(preun):  python3-jupyter_contrib_core >= 0.3.3
Requires(post):   python3-jupyter_core
Requires(preun):  python3-jupyter_core
Requires(post):   python3-jupyter_notebook >= 4.0
Requires(preun):  python3-jupyter_notebook >= 4.0
Requires(post):   python3-tornado
Requires(preun):  python3-tornado
Requires(post):   python3-traitlets
Requires(preun):  python3-traitlets
%endif
BuildArch:      noarch

%python_subpackages

%description
The jupyter_nbextensions_configurator jupyter server extension provides
graphical user interfaces for configuring which nbextensions are enabled (load
automatically for every notebook), and display their readme files.
In addition, for extensions which include an appropriate yaml descriptor file,
the interface also provides controls to configure the extensions' options.

%prep
%setup -q -n jupyter_nbextensions_configurator-%{version}
sed -i 's/\r$//' LICENSE.txt
sed -i 's/\r$//' README.md

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%post -n python3-jupyter_nbextensions_configurator
%{_bindir}/jupyter-nbextensions_configurator enable --system || true

%preun -n python3-jupyter_nbextensions_configurator
if [ $1 = 0 ] && [ -f %{_bindir}/jupyter-nbextensions_configurator ] ; then
    %{_bindir}/jupyter-nbextensions_configurator disable --system || true
fi

%if %{with tests}
%check
%{python_expand export PYTHONPATH=%{buildroot}%{$python_sitelib}
nosetests-%{$python_bin_suffix}
}
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc README.md
%license LICENSE.txt
%python3_only %{_bindir}/jupyter-nbextensions_configurator
%{python_sitelib}/jupyter_nbextensions_configurator-%{version}-py*.egg-info
%{python_sitelib}/jupyter_nbextensions_configurator/

%changelog
* Sun Jun 10 2018 jengelh@inai.de
- Avoid bashism in scriptlet.
* Tue May 29 2018 toddrme2178@gmail.com
- Use || true syntax instead of exit 0
* Thu May  3 2018 toddrme2178@gmail.com
- Use %%license tag
* Thu Feb 15 2018 toddrme2178@gmail.com
- Update to version 0.4.0
  * No changelog
* Mon Nov  6 2017 toddrme2178@gmail.com
- Update to version 0.2.5
  * Split specification checking into a separate function
  * Fixes for bugs in notebook 5.1.0
* Wed Sep 20 2017 toddrme2178@gmail.com
- Improve handling of enable and disable
* Wed Sep 20 2017 toddrme2178@gmail.com
- Update to version 0.2.7
- Handle enable and disable in post and preun scriptlets
* Wed May  3 2017 toddrme2178@gmail.com
- Update to version 0.2.4
- Implement single-spec version
* Tue Nov  1 2016 toddrme2178@gmail.com
- Install extension.
* Sat Oct 29 2016 toddrme2178@gmail.com
- Initial version
